# rpmrebuild autogenerated specfile

BuildRoot: /root/.tmp/rpmrebuild.50933/work/root
AutoProv: no
%undefine __find_provides
AutoReq: no
%undefine __find_requires
# Do not try autogenerate prereq/conflicts/obsoletes and check files
%undefine __check_files
%undefine __find_prereq
%undefine __find_conflicts
%undefine __find_obsoletes
# Be sure buildpolicy set to do nothing
%define __spec_install_post %{nil}
# Something that need for rpm-4.1
%define _missing_doc_files_terminate_build 0


Name:  keystone
Version:  17.0.0
Release:  1%{?dist}
Summary:  OpenStack Keystone provides authentication, authorization and service discovery mechanisms via HTTP primarily for use by projects in the OpenStack family
License:  GPL
Source0:  keystone-17.0.0.tar.gz

BuildRequires:  python3

%description

OpenStack Keystone provides authentication, authorization and service discovery mechanisms via HTTP primarily for use by projects in the OpenStack family. It is most commonly deployed as an HTTP interface to existing identity systems, such as LDAP

%prep
%autosetup

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/var/lib/keystone
mkdir -p %{buildroot}/var/log/keystone
mkdir -p %{buildroot}/usr/local/lib
python3 setup.py install --prefix=%{buildroot}/usr/
cp -r %{buildroot}/usr/lib/* %{buildroot}/usr/local/lib
rm -rf %{buildroot}/usr/lib


%files
%attr(0755, root, root) "/usr/bin/keystone-manage"
%attr(0755, root, root) "/usr/bin/keystone-wsgi-admin"
%attr(0755, root, root) "/usr/bin/keystone-wsgi-public"
%dir %attr(0755, root, root) "/var/lib/keystone"
%dir %attr(0750, root, root) "/var/log/keystone"
%ghost %attr(0660, root, root) %verify(not md5 size link mtime) "/var/log/keystone/keystone.log"
%dir %attr(0750, root, root) "/usr/local/lib/python3.7"
%dir %attr(0750, root, root) "/usr/local/lib/python3.7/site-packages"
%attr(0750, root, root) "/usr/local/lib/python3.7/site-packages/*" 

%changelog
* Tue Sep 29 2020 zhang_donglin1 <zhangdonglin@talkweb.com.cn>
- Update init

